package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.RejectedRepository;
import com.realnet.vpspack.Entity.Rejected
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class RejectedService {
@Autowired
private RejectedRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Rejected Savedata(Rejected data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Rejected save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Rejected> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Rejected> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Rejected> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Rejected getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Rejected update(Rejected data,Integer id) {
	Rejected old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setPassport_number(data.getPassport_number());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setRejected_child(data.getRejected_child());

final Rejected test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
